Fetching List of AWS Key Templates
Use the get /v1/cckm/aws/key-templates API to fetch the list of AWS key templates. The results can be filtered using the query parameters.
Syntax
curl -k '<IP>/api/v1/cckm/aws/key-templates' -X GET -H 'Authorization: Bearer AUTHTOKEN' -H 'accept: application/json' --compressed
Request Parameter
| Parameter | Type | Description |
|---|---|---|
| AUTHTOKEN | string | Authorization token. |
Request Query Parameters
| Parameter | Type | Description |
|---|---|---|
| id | string | Specifies internal ID of the AWS key template to filter the results. |
| kms | string | Specifies kms to filter the results. |
| name | string | Specifies the key template name to filter the results. |
| origin | string | Specifies the AWS key origin to filter the results. |
| region | string | Specifies the region to filter the results. |
| override_attributes | boolean | Specifies whether to list the templates in which override attribute is set. The default value is true. |
| template_type | string | Specifies whether to lists the templates in which the specified template type is set. Possible options are: • native • byok |
| multi_region | boolean | Specifies whether to lists the templates in which the MultiRegion is set to true. |
| source_key_tier | string | Specifies the source key tier type to filter the results. |
| skip | integer | Specifies the index of the first resource to return. Equivalent to offset in SQL. |
| limit | integer | Specifies the max number of resources to return. Equivalent to limit in SQL. The returned resources may be truncated to less than the requested limit in some cases. It is endpoint dependent. |
| sort | string | Comma-delimited list of properties to sort the results. Multiple properties result in a multi-column sort. By default, the sort order is ascending. To change the order to descending for a field, add the - prefix to the field name. |
Example Request
curl -k 'https://127.0.0.1/api/v1/cckm/aws/key-templates?skip=0&limit=10&sort=updatedAt' -H 'Authorization: Bearer {Place jwt token here. Bearer token / JWT can be created via the /v1/auth/tokens API.}' -H 'accept: application/json' --compressed
Example Response
{
"skip": 0,
"limit": 10,
"total": 1,
"resources": [
{
"id": "68c4bab9-21f1-4a61-86ae-7325142beb46",
"uri": "kylo:kylo-bafd7fa9-4fcb-4bec-8391-d099340db929:cckm:aws-key-template:temp6-68c4bab9-21f1-4a61-86ae-7325142beb46",
"account": "kylo:kylo-bafd7fa9-4fcb-4bec-8391-d099340db929:admin:accounts:kylo-bafd7fa9-4fcb-4bec-8391-d099340db929",
"createdAt": "2025-10-10T05:23:45.830971Z",
"updatedAt": "2025-10-10T06:25:46.831067Z",
"name": "Temp6",
"description": "Testing Temp",
"override_attributes": false,
"template_type": "byok",
"key_attributes": {
"aws_param": {
"CustomerMasterKeySpec": "HMAC_512",
"KeyUsage": "SIGN_VERIFY",
"MultiRegion": true,
"Origin": "AWS_KMS",
"Tags": [
{
"TagKey": "Check",
"TagValue": "1"
}
]
},
"region": "us-east-3",
"external_cm_domain_id": "1425",
"rotation_setting": {
"job_config_id": "f404f720-9671-4eae-9449-dd5044bb8e50",
"auto_rotate_disable_encrypt": null,
"auto_rotate_disable_encrypt_on_all_accounts": null,
"auto_rotate_external_cm_domain_id": null,
"auto_rotate_key_source": "local",
"auto_rotate_partition_id": "5854"
},
"local_hosted_params": {}
}
}
]
}
Response Codes
| Response Code | Description |
|---|---|
| 2xx | Success |
| 4xx | Client errors |
| 5xx | Server errors |
Refer to HTTP status codes for details.